require "yaml"
module Coloncancerpredict2
  class Engine < ::Rails::Engine
    initializer "coloncancerpredict2" do 
      OrbitApp.registration "Coloncancerpredict2", :type => "ModuleApp" do
        base_url File.expand_path File.dirname(__FILE__)
        taggable "coloncancerpredictfields2s"
        categorizable
        authorizable
        widget_methods ["widget"]
        widget_settings [{"data_count"=>1}]
        set_keyword_contstraints ['coloncancerpredict2Result']
    		frontend_enabled
    		side_bar do
              head_label_i18n 'coloncancerpredict2.coloncancerpredict2', icon_class: "icons-megaphone"
              available_for "users"
              active_for_controllers (['admin/coloncancerpredict2s'])
              head_link_path "admin_coloncancerpredict2s_path"

              context_link 'coloncancerpredict2.coloncancerpredict2',
                                    :link_path=>"admin_coloncancerpredict2s_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/coloncancerpredict2s'=>'index'},
                                    :available_for => 'users'
    		  context_link 'coloncancerpredict2.submitResult',
                                    :link_path=>"admin_coloncancerpredict2s_showSubmit_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/coloncancerpredict2s'=>'show_submit'},
                                    :available_for => 'users'
    		  context_link 'coloncancerpredict2.export_colon_cancer_predict2_tool_records',
                                    :link_path=>"admin_coloncancerpredict2s_export_cancer_tool_record_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/coloncancerpredict2s'=>'export_cancer_tool_record'},
                                    :available_for => 'users'
    		end
      end
    end
  end
end